<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>ApparmorControl.hpp</name>
    <path>/usr/src/packages/BUILD/limal-apparmor-control-1.6.1/src/limal/apparmor-control/</path>
    <filename>ApparmorControl_8hpp</filename>
    <includes id="config_8h" name="config.h" local="no" imported="no">limal/apparmor-control/config.h</includes>
    <includes id="ApparmorControl_8hpp" name="ApparmorControl.hpp" local="no" imported="no">blocxx/String.hpp</includes>
    <class kind="class">limal::apparmor_control::ApparmorControl</class>
    <namespace>limal::apparmor_control</namespace>
    <namespace>limal::Apparmor</namespace>
  </compound>
  <compound kind="file">
    <name>config.h</name>
    <path>/usr/src/packages/BUILD/limal-apparmor-control-1.6.1/src/limal/apparmor-control/</path>
    <filename>config_8h</filename>
    <includes id="config_8h" name="config.h" local="no" imported="no">limal/config.h</includes>
    <namespace>limal::apparmor_control</namespace>
    <member kind="define">
      <type>#define</type>
      <name>LIMAL_APPARMOR_CONTROL_LIB_VERSION</name>
      <anchorfile>config_8h.html</anchorfile>
      <anchor>a64b7679a8338f47ba01ad4062055bec7</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LIMAL_APPARMOR_CONTROL_API_VERSION</name>
      <anchorfile>config_8h.html</anchorfile>
      <anchor>a55a69a7b386db8c280d0d8bd87621ccb</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>limal_apparmor_control_lib_version</name>
      <anchorfile>config_8h.html</anchorfile>
      <anchor>aa7d9a54cfc20c3642b65fd2e549de6e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>limal_apparmor_control_api_version</name>
      <anchorfile>config_8h.html</anchorfile>
      <anchor>abda9c81f5c574a2ae928460d8368c746</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>limal::Apparmor</name>
    <filename>namespacelimal_1_1Apparmor.html</filename>
  </compound>
  <compound kind="namespace">
    <name>limal::apparmor_control</name>
    <filename>namespacelimal_1_1apparmor__control.html</filename>
    <class kind="class">limal::apparmor_control::ApparmorControl</class>
  </compound>
  <compound kind="class">
    <name>limal::apparmor_control::ApparmorControl</name>
    <filename>classlimal_1_1apparmor__control_1_1ApparmorControl.html</filename>
    <member kind="function">
      <type></type>
      <name>ApparmorControl</name>
      <anchorfile>classlimal_1_1apparmor__control_1_1ApparmorControl.html</anchorfile>
      <anchor>a499edf0287830521add70a2ea10896b7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ApparmorControl</name>
      <anchorfile>classlimal_1_1apparmor__control_1_1ApparmorControl.html</anchorfile>
      <anchor>a7c50fdd3e194d945ae64acd1e167e278</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::String</type>
      <name>getPathToInitScript</name>
      <anchorfile>classlimal_1_1apparmor__control_1_1ApparmorControl.html</anchorfile>
      <anchor>ab63d5a24ae0b79b869e67a90e4c001a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setpathToInitScript</name>
      <anchorfile>classlimal_1_1apparmor__control_1_1ApparmorControl.html</anchorfile>
      <anchor>a6dfa42e9e966e5b445ebb1c81e15db01</anchor>
      <arglist>(const BLOCXX_NAMESPACE::String &amp;script)</arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::String</type>
      <name>getPathToSubdomainStatusScript</name>
      <anchorfile>classlimal_1_1apparmor__control_1_1ApparmorControl.html</anchorfile>
      <anchor>a72aeee94fcdc4be26620f19fdee3b3bf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPathToSubdomainStatusScript</name>
      <anchorfile>classlimal_1_1apparmor__control_1_1ApparmorControl.html</anchorfile>
      <anchor>a048c1a8de5098cc750afad4a663ea29b</anchor>
      <arglist>(const BLOCXX_NAMESPACE::String &amp;script)</arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::Int32</type>
      <name>startAppArmor</name>
      <anchorfile>classlimal_1_1apparmor__control_1_1ApparmorControl.html</anchorfile>
      <anchor>a96ea72ad8d94222176538ba92f89cfef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::Int32</type>
      <name>stopAppArmor</name>
      <anchorfile>classlimal_1_1apparmor__control_1_1ApparmorControl.html</anchorfile>
      <anchor>a595ebec54511eebace6d4225891412bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>BLOCXX_NAMESPACE::Int32</type>
      <name>isEnabled</name>
      <anchorfile>classlimal_1_1apparmor__control_1_1ApparmorControl.html</anchorfile>
      <anchor>a0c69af732a431a29cece491bc1f0e547</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>BLOCXX_NAMESPACE::COWIntrusiveReference&lt; Data &gt;</type>
      <name>m_data</name>
      <anchorfile>classlimal_1_1apparmor__control_1_1ApparmorControl.html</anchorfile>
      <anchor>a424c214051013fc8c0b1bf0c45d5ca7b</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
